Get usage metrics for current account
https://api.faraday.ai/v1/accounts/current/usageGet historical usage metrics for the current account from the most recent metrics dashboard event.
Authentication
Provide your API key in the Authorization header. You can find your API key in the Settings page of the dashboard.
Authorization: Bearer YOUR_TOKENResponses
200Usage metrics for the current account.
batch_deploymentsobjectUsage metrics for batch context deployments.
When this usage data recording completed. Not a usage period boundary — see inner period fields for specific time ranges.
The ID of the usage event.
lookup_api_requestsobjectUsage metrics for Lookup API requests. Usage is not de-duplicated — if the same call is made twice, both count.
When this usage data was recorded. Not a usage period boundary — see inner period fields for specific time ranges.
400The request was invalid.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
401No API key was supplied.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
403Access to this resource was forbidden.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
404The requested resource ID was not found.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
500An internal server error occurred.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
Tags
Test request
Request snippet
curl -X GET 'https://api.faraday.ai/v1/accounts/current/usage' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_KEY'Example response
{
"batch_deployments": {
"consumer_data": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
},
"identity_data": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
},
"predictive_data": {
"last_12_months": {
"count": 0
},
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"resources": [
{
"last_12_months": {
"count": 0
},
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"resource_id": "123e4567-e89b-12d3-a456-426614174000",
"resource_type": "string"
}
]
},
"unknown_contact_addresses": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
},
"unknown_contact_email_hashes": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
}
},
"finished_at": "2024-01-01T12:00:00Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"lookup_api_requests": {
"requests": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
},
"successful": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
},
"successful_consumer_data": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
},
"successful_identity_data": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
},
"successful_prediction_data": {
"last_month": {
"count": 0
},
"month_to_date": {
"count": 0
},
"term_period_to_last_month": {
"count": 0
}
}
},
"started_at": "2024-01-01T12:00:00Z"
}